Bug 1491268 - [DOCS] Explain different options for docker-storage-setup using overlay2
Summary: [DOCS] Explain different options for docker-storage-setup using overlay2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: pre-dev-freeze
: ---
Assignee: Maxim Svistunov
QA Contact:
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 12:21 UTC by Eduardo Minguez
Modified: 2019-03-06 00:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-11 11:41:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1490910 0 unspecified CLOSED Upgraded rhel7.3 to 7.4 uses "extfs" as backing storage instead xfs using overlay2 for docker storage 2021-02-22 00:41:40 UTC

Description Eduardo Minguez 2017-09-13 12:21:00 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux_atomic_host/7/html/managing_containers/managing_storage_with_docker_formatted_containers#overlay_graph_driver

Section Number and Name: 1.6. Overlay Graph Driver

Describe the issue:

There are a few variables unexplained in the documentation regarding overlay2 support for docker.
It seems overlay2 support is different than multipath, so if you specify the CONTAINER_ROOT_LV_NAME and CONTAINER_ROOT_LV_MOUNT_PATH variables, it will create a new logical volume for storing container images and container rootfs, otherwise, no new logical volume will be created and overlay2 will be setup on rootfs.

Suggestions for improvement: 
Include proper documentation about how this works and different scenarios, as it is assumed it works like multipath (it will create the lv, etc. without needed those variables)

Additional information: 
There is a related Bugzilla where you can find more information https://bugzilla.redhat.com/show_bug.cgi?id=1490910


Note You need to log in before you can comment on or make changes to this bug.